SDL_UnlockMutex(3)

NAME
SDL_UnlockMutex - Unlock the mutex.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

void SDL_UnlockMutex(SDL_Mutex *mutex);

DESCRIPTION
It is legal for the owning thread to lock an already-locked mutex. It must unlock it the same number of times before it is actually made available for other threads in the system (this is known as a "recursive mutex").

It is illegal to unlock a mutex that has not been locked by the current thread, and doing so results in undefined behavior.

FUNCTION PARAMETERS

mutex
    the mutex to unlock.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_LockMutex(3), SDL_TryLockMutex(3)